Retrieve revision
curl --request GET \
--url https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}/revisions/{revisionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}/revisions/{revisionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}/revisions/{revisionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flow": {
"type": "CONTACT_FLOW",
"id": "<string>",
"isEnabled": true,
"revisionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAvailableActionId": "<string>",
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"timeWindows": [
{
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"year": 123
}
],
"customProperties": {},
"dataSources": [
{
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"property": "<string>",
"missing": "<string>"
}
}
],
"suppressionListIds": [
123
],
"canEnrollFromSalesforce": true,
"objectTypeId": "<string>",
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"unEnrollmentSetting": {
"flowIds": [
"<string>"
]
}
},
"id": "<string>",
"revisionCreatedAt": "2023-11-07T05:31:56Z",
"revisionId": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}変更履歴
Retrieve revision
Retrieve a specific revision of an automation flow using its flow ID and revision ID. This endpoint is useful for accessing historical versions of a flow to review changes or restore previous configurations.
GET
/
automation
/
2026-09-beta
/
flows
/
{flowId}
/
revisions
/
{revisionId}
Retrieve revision
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2private_apps
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
The unique identifier of the automation flow.
The unique identifier of the specific revision of the flow.
最終更新日 2026年4月10日
⌘I